package body MSHTML.IHTMLMediaElement2_Object is

   procedure Put_currentTimeDouble
     (This : IHTMLMediaElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLMediaElement2_Put_currentTimeDouble,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_currentTimeDouble;

   function Get_currentTimeDouble
     (This : IHTMLMediaElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMediaElement2_Get_currentTimeDouble);
   end Get_currentTimeDouble;

   function Get_initialTimeDouble
     (This : IHTMLMediaElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMediaElement2_Get_initialTimeDouble);
   end Get_initialTimeDouble;

   function Get_durationDouble
     (This : IHTMLMediaElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMediaElement2_Get_durationDouble);
   end Get_durationDouble;

   procedure Put_defaultPlaybackRateDouble
     (This : IHTMLMediaElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLMediaElement2_Put_defaultPlaybackRateDouble,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_defaultPlaybackRateDouble;

   function Get_defaultPlaybackRateDouble
     (This : IHTMLMediaElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMediaElement2_Get_defaultPlaybackRateDouble);
   end Get_defaultPlaybackRateDouble;

   procedure Put_playbackRateDouble
     (This : IHTMLMediaElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLMediaElement2_Put_playbackRateDouble,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_playbackRateDouble;

   function Get_playbackRateDouble
     (This : IHTMLMediaElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMediaElement2_Get_playbackRateDouble);
   end Get_playbackRateDouble;

   procedure Put_volumeDouble
     (This : IHTMLMediaElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLMediaElement2_Put_volumeDouble,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_volumeDouble;

   function Get_volumeDouble
     (This : IHTMLMediaElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMediaElement2_Get_volumeDouble);
   end Get_volumeDouble;

end MSHTML.IHTMLMediaElement2_Object;

